Bug 1128250 - [abrt] gnome-shell: meta_wayland_init(): gnome-shell killed by SIGTRAP
Summary: [abrt] gnome-shell: meta_wayland_init(): gnome-shell killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6d6f40279bdf456f1553d8fb7e5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 17:08 UTC by Chris Murphy
Modified: 2015-12-02 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:22:27 UTC


Attachments (Terms of Use)
File: backtrace (34.17 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: core_backtrace (9.29 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: dso_list (14.72 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: environ (771 bytes, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: maps (70.74 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: open_fds (2.06 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details
File: var_log_messages (11.95 KB, text/plain)
2014-08-08 17:08 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-08-08 17:08:20 UTC
Description of problem:
A series of events led to this. But ultimately I don't know what caused the problem.
1. cntrl-alt-shift-r trying to do a screen cast because with Wayland compositing, I can't resize any windows and I wanted to file a bug.
2. gnome-shell crashes with SIGSEGV, but abrt won't file a bug due to some error. So while clicking on a close button, I started to see a pile of completely unrelated abrt windows appear with each click.
3. In Terminal I tried to gnome-session-quit, but that stalled. So then I tried systemd restart gdm, and that stalled. Then I tried systemd isolate multi-user.target and that stall. So I rebooted.
4. Upon reboot, abrt informs me that at some point in between steps 2 and 3, a SIGTRAP occurred.

Version-Release number of selected component:
gnome-shell-3.13.4-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_wayland_init
executable:     /usr/bin/gnome-shell
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 meta_wayland_init at wayland/meta-wayland.c:429
 #3 meta_init at core/main.c:341

Potential duplicate: bug 1023676

Comment 1 Chris Murphy 2014-08-08 17:08:22 UTC
Created attachment 925243 [details]
File: backtrace

Comment 2 Chris Murphy 2014-08-08 17:08:22 UTC
Created attachment 925244 [details]
File: cgroup

Comment 3 Chris Murphy 2014-08-08 17:08:23 UTC
Created attachment 925245 [details]
File: core_backtrace

Comment 4 Chris Murphy 2014-08-08 17:08:24 UTC
Created attachment 925246 [details]
File: dso_list

Comment 5 Chris Murphy 2014-08-08 17:08:24 UTC
Created attachment 925247 [details]
File: environ

Comment 6 Chris Murphy 2014-08-08 17:08:25 UTC
Created attachment 925248 [details]
File: limits

Comment 7 Chris Murphy 2014-08-08 17:08:26 UTC
Created attachment 925249 [details]
File: maps

Comment 8 Chris Murphy 2014-08-08 17:08:27 UTC
Created attachment 925250 [details]
File: open_fds

Comment 9 Chris Murphy 2014-08-08 17:08:27 UTC
Created attachment 925251 [details]
File: proc_pid_status

Comment 10 Chris Murphy 2014-08-08 17:08:28 UTC
Created attachment 925252 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-11-04 15:16:05 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 03:22:30 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.